Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
SignalBaseT< Signature > Class Template Reference

`#include <delegateSignal.h>`

Inheritance diagram for SignalBaseT< Signature >:

## Classes
struct | DelegateLinkImpl

## Public Types
typedef Delegate< Signature > | DelegateSig
| The delegate signature for this signal. More...

## Public Member Functions
| SignalBaseT ()
| SignalBaseT (const SignalBaseT &base)
void | operator= (const SignalBaseT &base)
void | merge (const SignalBaseT &base)
void | notify (const DelegateSig &dlg, F32 order=0.5f)
void | remove (DelegateSig dlg)
template<class T , class U >
void | notify (T obj, U func, F32 order=0.5f)
template<class T >
void | notify (T func, F32 order=0.5f)
template<class T , class U >
void | remove (T obj, U func)
template<class T >
void | remove (T func)
bool | contains (const DelegateSig &dlg) const
| Returns true if the signal already contains this delegate. More...
Public Member Functions inherited from SignalBase
| SignalBase ()
| ~SignalBase ()
void | removeAll ()
| Removes all the delegates from the signal. More...
bool | isEmpty () const
| Returns true if the delegate list is empty. More...

## Protected Member Functions
DelegateSig & | getDelegate (SignalBase::DelegateLink *link)

## Additional Inherited Members
Protected Attributes inherited from SignalBase
DelegateLink | mList
Vector< DelegateLink * > | mTriggerNext

## Member Typedef Documentation

typedef Delegate<Signature> DelegateSig

The delegate signature for this signal.

## Constructor & Destructor Documentation

SignalBaseT | ( |  | ) |
| inline

SignalBaseT | ( | const SignalBaseT< Signature > & | base | ) |
| inline

## Member Function Documentation

bool contains | ( | const DelegateSig & | dlg | ) | const
| inline

Returns true if the signal already contains this delegate.

DelegateSig& getDelegate | ( | SignalBase::DelegateLink * | link | ) |
| inline protected

void merge | ( | const SignalBaseT< Signature > & | base | ) |
| inline

void notify | ( | const DelegateSig & | dlg,
|  | F32 | order = `0.5f`
| ) |  |
| inline

void notify | ( | T | obj,
|  | U | func,
|  | F32 | order = `0.5f`
| ) |  |
| inline

void notify | ( | T | func,
|  | F32 | order = `0.5f`
| ) |  |
| inline

void operator= | ( | const SignalBaseT< Signature > & | base | ) |
| inline

void remove | ( | DelegateSig | dlg | ) |
| inline

void remove | ( | T | obj,
|  | U | func
| ) |  |
| inline

void remove | ( | T | func | ) |
| inline

The documentation for this class was generated from the following file:

- delegates/delegateSignal.h